FreeBSD VuXML: Documenting security issues in FreeBSD and the FreeBSD Ports Collection

pear-PEAR -- PEAR installer arbitrary code execution vulnerability

Affected packages
pear-PEAR < 1.4.3


VuXML ID 44e5f5bd-4d76-11da-bf37-000fb586ba73
Discovery 2005-11-01
Entry 2005-11-04

Gregory Beaver reports:

A standard feature of the PEAR installer implemented in all versions of PEAR can lead to the execution of arbitrary PHP code upon running the "pear" command or loading the Web/Gtk frontend.

To be vulnerable, a user must explicitly install a publicly released malicious package using the PEAR installer, or explicitly install a package that depends on a malicious package.